Package org.gradle.api.publish.ivy.tasks

## Class PublishToIvyRepository

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.ivy.tasks.PublishToIvyRepository

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      public class PublishToIvyRepository
      extends DefaultTask

  Publishes an IvyPublication to an IvyArtifactRepository.
  Since:
    1.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PublishToIvyRepository()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.gradle.api.publish.internal.validation.DuplicatePublicationTracker` | `getDuplicatePublicationTracker()` |
    `protected org.gradle.api.publish.ivy.internal.publisher.IvyPublisher` | `getIvyPublisher()` |
    `IvyPublication` | `getPublication()` | The publication to be published.
    `IvyArtifactRepository` | `getRepository()` | The repository to publish to.
    `void` | `publish()` |
    `void` | `setPublication​(IvyPublication publication)` | Sets the publication to be published.
    `void` | `setRepository​(IvyArtifactRepository repository)` | Sets the repository to publish to.

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getRequiredServices, getServices, getSharedResources, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString, usesService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PublishToIvyRepository

          public PublishToIvyRepository()

  - ### Method Detail

    - #### getPublication

          @Internal
          public IvyPublication getPublication()

      The publication to be published.
      Returns:
        The publication to be published

    - #### setPublication

          public void setPublication​(IvyPublication publication)

      Sets the publication to be published.
      Parameters:
        `publication` - The publication to be published

    - #### getRepository

          @Internal
          public IvyArtifactRepository getRepository()

      The repository to publish to.
      Returns:
        The repository to publish to

    - #### setRepository

          public void setRepository​(IvyArtifactRepository repository)

      Sets the repository to publish to.
      Parameters:
        `repository` - The repository to publish to

    - #### publish

          public void publish()

    - #### getIvyPublisher

          @Inject
          protected org.gradle.api.publish.ivy.internal.publisher.IvyPublisher getIvyPublisher()

    - #### getDuplicatePublicationTracker

          @Inject
          protected org.gradle.api.publish.internal.validation.DuplicatePublicationTracker getDuplicatePublicationTracker()